Index: tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/concordance/ConcordanceAnnotationExtension.java
===================================================================
--- tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/concordance/ConcordanceAnnotationExtension.java	(revision 685)
+++ tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/concordance/ConcordanceAnnotationExtension.java	(revision 686)
@@ -21,10 +21,7 @@
 import org.eclipse.jface.viewers.SelectionChangedEvent;
 import org.eclipse.jface.viewers.TableViewer;
 import org.eclipse.jface.viewers.TableViewerColumn;
-import org.eclipse.jface.viewers.ViewerCell;
 import org.eclipse.swt.SWT;
-import org.eclipse.swt.events.ControlEvent;
-import org.eclipse.swt.events.ControlListener;
 import org.eclipse.swt.events.KeyEvent;
 import org.eclipse.swt.events.KeyListener;
 import org.eclipse.swt.events.SelectionEvent;
@@ -42,16 +39,31 @@
 import org.eclipse.ui.IWorkbenchWindow;
 import org.eclipse.ui.PartInitException;
 import org.eclipse.ui.dialogs.ListDialog;
+import org.txm.annotation.core.Annotation;
+import org.txm.annotation.core.AnnotationManager;
+import org.txm.annotation.core.KRAnnotationEngine;
+import org.txm.annotation.core.preferences.AnnotationPreferences;
+import org.txm.annotation.core.repository.AnnotationType;
+import org.txm.annotation.core.repository.KnowledgeRepository;
+import org.txm.annotation.core.repository.KnowledgeRepositoryManager;
+import org.txm.annotation.core.repository.LocalKnowledgeRepository;
+import org.txm.annotation.core.repository.SQLKnowledgeRepository;
+import org.txm.annotation.core.repository.TypedValue;
+import org.txm.annotation.rcp.commands.InitializeKnowledgeRepository;
+import org.txm.annotation.rcp.commands.SaveAnnotations;
+import org.txm.annotation.rcp.commands.krview.OpenKRView;
+import org.txm.annotation.rcp.messages.AnnotationUIMessages;
+import org.txm.annotation.rcp.views.knowledgerepositories.KRView;
 import org.txm.concordance.core.functions.Concordance;
 import org.txm.concordance.core.functions.Line;
 import org.txm.concordance.rcp.editors.ConcordanceEditor;
 import org.txm.concordance.rcp.editors.ConcordanceEditor.ConcordanceColumnSizeControlListener;
 import org.txm.concordance.rcp.editors.ConcordanceEditorExtension;
-import org.txm.concordance.rcp.messages.Messages;
+import org.txm.concordance.rcp.messages.ConcordanceUIMessages;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.rcp.IImageKeys;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.commands.OpenBrowser;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.preferences.RCPPreferences;
 import org.txm.rcp.swt.dialog.ConfirmDialog;
 import org.txm.rcp.swt.provider.SimpleLabelProvider;
@@ -62,20 +74,6 @@
 import org.txm.searchengine.cqp.corpus.query.Match;
 import org.txm.utils.AsciiUtils;
 import org.txm.utils.logger.Log;
-import org.txm.annotation.core.Annotation;
-import org.txm.annotation.core.AnnotationManager;
-import org.txm.annotation.core.KRAnnotationEngine;
-import org.txm.annotation.core.preferences.AnnotationPreferences;
-import org.txm.annotation.core.repository.AnnotationType;
-import org.txm.annotation.core.repository.KnowledgeRepository;
-import org.txm.annotation.core.repository.KnowledgeRepositoryManager;
-import org.txm.annotation.core.repository.LocalKnowledgeRepository;
-import org.txm.annotation.core.repository.SQLKnowledgeRepository;
-import org.txm.annotation.core.repository.TypedValue;
-import org.txm.annotation.rcp.commands.InitializeKnowledgeRepository;
-import org.txm.annotation.rcp.commands.SaveAnnotations;
-import org.txm.annotation.rcp.commands.krview.OpenKRView;
-import org.txm.annotation.rcp.views.knowledgerepositories.KRView;
 
 public class ConcordanceAnnotationExtension extends ConcordanceEditorExtension {
 
@@ -155,7 +153,7 @@
 		if (KRAnnotationEngine.getKnowledgeRepositoryNames(corpus).size() > 0) { // shown only if corpus has a registered KR
 
 			annotationButton = new Button(navigationArea, SWT.PUSH);
-			annotationButton.setToolTipText(Messages.ConcordancesEditor_75);
+			annotationButton.setToolTipText(ConcordanceUIMessages.ConcordancesEditor_75);
 			annotationButton.setImage(IImageKeys.getImage(IImageKeys.PENCIL));
 			annotationButton.addSelectionListener(new SelectionListener() {
 				@Override
@@ -176,7 +174,7 @@
 						if (annotationArea == null) return;
 
 						annotationColumn.pack();
-						annotationButton.setToolTipText(Messages.ConcordancesEditor_76);
+						annotationButton.setToolTipText(ConcordanceUIMessages.ConcordancesEditor_76);
 						annotationButton.setImage(IImageKeys.getImage(IImageKeys.PENCIL_SAVE));
 
 						annotSize = annotationArea.getSize();
@@ -212,8 +210,8 @@
 		int position = 3;
 		TableViewerColumn annotationColumnViewer = new TableViewerColumn(viewer, SWT.CENTER, position);
 		annotationColumn = annotationColumnViewer.getColumn();
-		annotationColumn.setText(Messages.ConcordancesEditor_15);
-		annotationColumn.setToolTipText(Messages.ConcordancesEditor_17);
+		annotationColumn.setText(ConcordanceUIMessages.ConcordancesEditor_15);
+		annotationColumn.setToolTipText(ConcordanceUIMessages.ConcordancesEditor_17);
 		annotationColumn.setAlignment(SWT.CENTER);
 		
 		annotationColumn.addControlListener(new ConcordanceColumnSizeControlListener(annotationColumn));
@@ -314,9 +312,9 @@
 
 		addRemoveCombo = new Combo(annotationArea, SWT.READ_ONLY);
 		String affectLabel = currentKnowledgeRepository.getString(editor.getLocale(), "ConcordancesEditor_22");
-		if (affectLabel == null) affectLabel= Messages.ConcordancesEditor_22;
+		if (affectLabel == null) affectLabel= ConcordanceUIMessages.ConcordancesEditor_22;
 		String removeLabel = currentKnowledgeRepository.getString(editor.getLocale(), "ConcordancesEditor_24");
-		if (removeLabel == null) removeLabel= Messages.ConcordancesEditor_24;
+		if (removeLabel == null) removeLabel= ConcordanceUIMessages.ConcordancesEditor_24;
 		String items[] = {affectLabel, removeLabel};
 		addRemoveCombo.setItems(items);
 		addRemoveCombo.select(0);
@@ -326,7 +324,7 @@
 				if (addRemoveCombo.getSelectionIndex() == 0) { // add
 					annotationValuesText.setEnabled(true);
 					String withLabelText = currentKnowledgeRepository.getString(editor.getLocale(), "ConcordancesEditor_83");
-					if (withLabelText == null) withLabelText= Messages.ConcordancesEditor_83;
+					if (withLabelText == null) withLabelText= ConcordanceUIMessages.ConcordancesEditor_83;
 					withLabel.setText(withLabelText);
 					if (equalLabel != null) equalLabel.setText("=");
 				} else { // remove
@@ -347,7 +345,7 @@
 
 		withLabel = new Label(annotationArea, SWT.NONE);
 		String withLabelText = currentKnowledgeRepository.getString(editor.getLocale(), "ConcordancesEditor_83");
-		if (withLabelText == null) withLabelText= Messages.ConcordancesEditor_83;
+		if (withLabelText == null) withLabelText= ConcordanceUIMessages.ConcordancesEditor_83;
 		withLabel.setText(withLabelText);
 		withLabel.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));
 
@@ -376,7 +374,7 @@
 
 			annotationTypesCombo.getCombo().setLayoutData(gdata);
 			annotationTypesCombo.setInput(typesList);
-			if (advanced_annotation_mode.equals(RCPMessages.AnnotationPreferences_2)) {
+			if (advanced_annotation_mode.equals(AnnotationUIMessages.AnnotationPreferences_2)) {
 				annotationTypesCombo.getCombo().select(0);
 			}
 
@@ -445,7 +443,7 @@
 
 			if (currentKnowledgeRepository instanceof LocalKnowledgeRepository) {
 				addAnnotationTypeLink = new Button(annotationArea, SWT.PUSH);
-				addAnnotationTypeLink.setToolTipText(Messages.ConcordancesEditor_115);
+				addAnnotationTypeLink.setToolTipText(ConcordanceUIMessages.ConcordancesEditor_115);
 				addAnnotationTypeLink.setImage(IImageKeys.getImage(IImageKeys.ACTION_ADD));
 				addAnnotationTypeLink.setEnabled(true);
 				addAnnotationTypeLink.setLayoutData(new GridData(SWT.FILL,	SWT.CENTER, false, true));
@@ -457,7 +455,7 @@
 
 						LocalKnowledgeRepository kr = (LocalKnowledgeRepository)currentKnowledgeRepository;
 
-						InputDialog dialog = new InputDialog(e.widget.getDisplay().getActiveShell(), Messages.ConcordancesEditor_82, Messages.ConcordancesEditor_81, "", null); //$NON-NLS-3$
+						InputDialog dialog = new InputDialog(e.widget.getDisplay().getActiveShell(), ConcordanceUIMessages.ConcordancesEditor_82, ConcordanceUIMessages.ConcordancesEditor_81, "", null); //$NON-NLS-3$
 						if (dialog.open() == InputDialog.OK) {
 							String name = dialog.getValue();
 							if (name.trim().length() == 0) return;
@@ -503,14 +501,14 @@
 			Label valueLabel = new Label(annotationArea, SWT.NONE);
 			String valueLabelText = currentKnowledgeRepository.getString(editor.getLocale(), "ConcordancesEditor_80");
 			if (valueLabelText == null) {
-				valueLabelText= Messages.ConcordancesEditor_80;
+				valueLabelText= ConcordanceUIMessages.ConcordancesEditor_80;
 			}
 			valueLabel.setText(valueLabelText);
 			valueLabel.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));
 		}
 
 		annotationValuesText = new Text(annotationArea, SWT.BORDER);
-		annotationValuesText.setToolTipText(Messages.ConcordancesEditor_32);
+		annotationValuesText.setToolTipText(ConcordanceUIMessages.ConcordancesEditor_32);
 		GridData gdata2 = new GridData(SWT.FILL, SWT.CENTER, false, true);
 		gdata2.widthHint = 200;
 		annotationValuesText.setLayoutData(gdata2);
@@ -529,10 +527,10 @@
 		if (currentKnowledgeRepository instanceof LocalKnowledgeRepository) {
 			addTypedValueLink = new Button(annotationArea, SWT.PUSH);
 			addTypedValueLink.setText("..."); //$NON-NLS-1$
-			if (advanced_annotation_mode.equals(RCPMessages.AnnotationPreferences_2)) {
-				addTypedValueLink.setToolTipText(Messages.ConcordancesEditor_79);
+			if (advanced_annotation_mode.equals(AnnotationUIMessages.AnnotationPreferences_2)) {
+				addTypedValueLink.setToolTipText(ConcordanceUIMessages.ConcordancesEditor_79);
 			} else {
-				addTypedValueLink.setToolTipText(Messages.ConcordancesEditor_77);
+				addTypedValueLink.setToolTipText(ConcordanceUIMessages.ConcordancesEditor_77);
 			}
 			addTypedValueLink.setEnabled(true);
 			addTypedValueLink.setLayoutData(new GridData(SWT.FILL,	SWT.CENTER, false, true));
@@ -548,12 +546,12 @@
 					LocalKnowledgeRepository kr = (LocalKnowledgeRepository)currentKnowledgeRepository;
 
 					ListDialog dialog = new ListDialog(e.widget.getDisplay().getActiveShell());
-					if (advanced_annotation_mode.equals(RCPMessages.AnnotationPreferences_2)) {
+					if (advanced_annotation_mode.equals(AnnotationUIMessages.AnnotationPreferences_2)) {
 						String title = currentKnowledgeRepository.getString(editor.getLocale(), "ConcordancesEditor_100");
-						if (title == null) title = Messages.ConcordancesEditor_100;
-						dialog.setTitle(Messages.bind(title, type.getName()));//+"valeurs de "+type.getName());
+						if (title == null) title = ConcordanceUIMessages.ConcordancesEditor_100;
+						dialog.setTitle(ConcordanceUIMessages.bind(title, type.getName()));//+"valeurs de "+type.getName());
 					} else {
-						dialog.setTitle(Messages.ConcordancesEditor_99);//+"valeurs de "+type.getName());
+						dialog.setTitle(ConcordanceUIMessages.ConcordancesEditor_99);//+"valeurs de "+type.getName());
 					}
 					dialog.setContentProvider(new ArrayContentProvider());
 					dialog.setLabelProvider(new SimpleLabelProvider() {
@@ -589,7 +587,7 @@
 
 		affectCombo = new Combo(annotationArea, SWT.READ_ONLY);
 		affectCombo.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, true));
-		String items2[] = {Messages.ConcordancesEditor_35, Messages.ConcordancesEditor_42, Messages.ConcordancesEditor_49};
+		String items2[] = {ConcordanceUIMessages.ConcordancesEditor_35, ConcordanceUIMessages.ConcordancesEditor_42, ConcordanceUIMessages.ConcordancesEditor_49};
 		affectCombo.setItems(items2);
 		affectCombo.select(0);
 		gdata = new GridData(SWT.CENTER, SWT.CENTER, false, true);
@@ -597,8 +595,8 @@
 		affectCombo.setLayoutData(gdata);
 
 		affectAnnotationButton = new Button(annotationArea, SWT.PUSH);
-		affectAnnotationButton.setText(Messages.ConcordancesEditor_85);
-		affectAnnotationButton.setToolTipText(Messages.ConcordancesEditor_116);
+		affectAnnotationButton.setText(ConcordanceUIMessages.ConcordancesEditor_85);
+		affectAnnotationButton.setToolTipText(ConcordanceUIMessages.ConcordancesEditor_116);
 		affectAnnotationButton.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, true));
 		affectAnnotationButton.addSelectionListener(new SelectionListener() {
 			@Override
@@ -611,7 +609,7 @@
 						List<Match> matches = concordance.getMatches().subList(editor.getTopLine(), editor.getBottomLine()+1);
 						affectMatchesToSelection(matches);
 					} catch (CqiClientException e1) {
-						Log.severe(Messages.ConcordancesEditor_53+e1);
+						Log.severe(ConcordanceUIMessages.ConcordancesEditor_53+e1);
 						Log.printStackTrace(e1);
 						return;
 					}
@@ -620,7 +618,7 @@
 						List<Match> matches = concordance.getMatches();
 						affectMatchesToSelection(matches);
 					} catch (CqiClientException e1) {
-						Log.severe(Messages.ConcordancesEditor_53+e1);
+						Log.severe(ConcordanceUIMessages.ConcordancesEditor_53+e1);
 						Log.printStackTrace(e1);
 						return;
 					}
@@ -631,7 +629,7 @@
 			public void widgetDefaultSelected(SelectionEvent e) { }
 		});
 		Button cancelAnnotateButton = new Button(annotationArea, SWT.PUSH);
-		cancelAnnotateButton.setText(Messages.ConcordancesEditor_101);
+		cancelAnnotateButton.setText(ConcordanceUIMessages.ConcordancesEditor_101);
 		cancelAnnotateButton.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
@@ -642,7 +640,7 @@
 				annotationArea = null;
 				parent.layout(true);
 				parent.layout();
-				annotationButton.setToolTipText(Messages.ConcordancesEditor_75);
+				annotationButton.setToolTipText(ConcordanceUIMessages.ConcordancesEditor_75);
 				annotationButton.setImage(IImageKeys.getImage(IImageKeys.PENCIL));
 				annotationColumn.setWidth(0);
 				annotationColumn.setResizable(false);
@@ -686,7 +684,7 @@
 		final String svalue = annotationValuesText.getText();
 		final boolean doAffect = addRemoveCombo.getSelectionIndex() == 0; // add is default
 
-		JobHandler job = new JobHandler(Messages.ConcordancesEditor_36, true) {
+		JobHandler job = new JobHandler(ConcordanceUIMessages.ConcordancesEditor_36, true) {
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
 				this.runInit(monitor);
@@ -697,7 +695,7 @@
 						deleteAnnotationValues(matches, type, this);
 					}
 				} catch(Exception e) {
-					Log.severe(Messages.ConcordancesEditor_40+e);
+					Log.severe(ConcordanceUIMessages.ConcordancesEditor_40+e);
 					Log.printStackTrace(e);
 					return Status.CANCEL_STATUS;
 				} catch(ThreadDeath td) {
@@ -739,7 +737,7 @@
 			}
 		}
 
-		if (advanced_annotation_mode.equals(RCPMessages.AnnotationPreferences_2)) {
+		if (advanced_annotation_mode.equals(AnnotationUIMessages.AnnotationPreferences_2)) {
 			if (infosAnnotTypeSelectedLink != null) {
 				infosAnnotTypeSelectedLink.setEnabled(getSelectedAnnotationType() != null);
 			}
@@ -777,7 +775,7 @@
 					return;
 				}
 			} catch (Exception e1) {
-				System.out.println(Messages.ConcordancesEditor_54+e1);
+				System.out.println(ConcordanceUIMessages.ConcordancesEditor_54+e1);
 				Log.printStackTrace(e1);
 				return;
 			}
@@ -810,8 +808,8 @@
 				if (matches.size() > NALERTAFFECTANNOTATIONS) {
 					ConfirmDialog dialog = new ConfirmDialog(Display.getCurrent().getActiveShell(), 
 							"confirm_annotate",  //$NON-NLS-1$
-							Messages.ConcordancesEditor_86, 
-							Messages.ConcordancesEditor_87+matches.size()+Messages.ConcordancesEditor_108);
+							ConcordanceUIMessages.ConcordancesEditor_86, 
+							ConcordanceUIMessages.ConcordancesEditor_87+matches.size()+ConcordanceUIMessages.ConcordancesEditor_108);
 
 					if (dialog.open() == ConfirmDialog.CANCEL) {
 						System.out.println("Annotation aborted by user."); //$NON-NLS-1$
@@ -822,7 +820,7 @@
 		});
 
 		// get value from combo text value
-		Log.warning(Messages.ConcordancesEditor_57+svalue);
+		Log.warning(ConcordanceUIMessages.ConcordancesEditor_57+svalue);
 		final KnowledgeRepository kr = KnowledgeRepositoryManager.getKnowledgeRepository(type.getKnowledgeRepository());
 		value_to_add = kr.getValue(type, svalue);
 
@@ -833,12 +831,12 @@
 				public void run() {
 					String title = kr.getString(editor.getLocale(), "ConcordancesEditor_110");
 					String content = kr.getString(editor.getLocale(), "ConcordancesEditor_112");
-					if (title == null ) title = Messages.ConcordancesEditor_110;
-					if (content == null ) content = Messages.ConcordancesEditor_112;
+					if (title == null ) title = ConcordanceUIMessages.ConcordancesEditor_110;
+					if (content == null ) content = ConcordanceUIMessages.ConcordancesEditor_112;
 					ConfirmDialog dialog = new ConfirmDialog(Display.getCurrent().getActiveShell(), 
 							"create_value", //$NON-NLS-1$
-							Messages.bind(title, svalue, type.getName()),  
-							Messages.bind(content, svalue, type.getName()));
+							ConcordanceUIMessages.bind(title, svalue, type.getName()),  
+							ConcordanceUIMessages.bind(content, svalue, type.getName()));
 					if (dialog.open() == ConfirmDialog.CANCEL) {
 						System.out.println("Annotation aborted by user."); //$NON-NLS-1$
 						return;
@@ -856,7 +854,7 @@
 			job.syncExec(new Runnable() {
 				@Override
 				public void run() {
-					String mess = Messages.bind(Messages.ConcordancesEditor_58, svalue);
+					String mess = ConcordanceUIMessages.bind(ConcordanceUIMessages.ConcordancesEditor_58, svalue);
 					System.out.println(mess);
 					MessageDialog.openError(Display.getCurrent().getActiveShell(), "Annotation canceled", mess); //$NON-NLS-1$
 				}
@@ -864,7 +862,7 @@
 			return;
 		}
 
-		Log.info(Messages.ConcordancesEditor_59+value_to_add+Messages.ConcordancesEditor_60+matches);
+		Log.info(ConcordanceUIMessages.ConcordancesEditor_59+value_to_add+ConcordanceUIMessages.ConcordancesEditor_60+matches);
 
 		// finally we can 'try' to create the annotations \o/
 		try {
@@ -872,16 +870,16 @@
 
 			// did we had problems ?
 			if (existingAnnots!=null && existingAnnots.size() > 0) {
-				String message = Messages.ConcordancesEditor_61+value_to_add.getStandardName()+
-						Messages.ConcordancesEditor_62;
+				String message = ConcordanceUIMessages.ConcordancesEditor_61+value_to_add.getStandardName()+
+						ConcordanceUIMessages.ConcordancesEditor_62;
 				for (Match m : existingAnnots.keySet()) {
-					message += Messages.ConcordancesEditor_63+m+Messages.ConcordancesEditor_64;
+					message += ConcordanceUIMessages.ConcordancesEditor_63+m+ConcordanceUIMessages.ConcordancesEditor_64;
 
 					for (Annotation existingAnnot : existingAnnots.get(m)) {
 						if (existingAnnot.getStart() < m.getStart()){
-							message += Messages.ConcordancesEditor_65+existingAnnot.getType()+Messages.ConcordancesEditor_66+existingAnnot.getStart()+Messages.ConcordancesEditor_67+existingAnnot.getEnd()+Messages.ConcordancesEditor_68;
+							message += ConcordanceUIMessages.ConcordancesEditor_65+existingAnnot.getType()+ConcordanceUIMessages.ConcordancesEditor_66+existingAnnot.getStart()+ConcordanceUIMessages.ConcordancesEditor_67+existingAnnot.getEnd()+ConcordanceUIMessages.ConcordancesEditor_68;
 						} else {
-							message += Messages.ConcordancesEditor_69+existingAnnot.getType()+Messages.ConcordancesEditor_70+existingAnnot.getStart()+Messages.ConcordancesEditor_71+existingAnnot.getEnd()+Messages.ConcordancesEditor_72;
+							message += ConcordanceUIMessages.ConcordancesEditor_69+existingAnnot.getType()+ConcordanceUIMessages.ConcordancesEditor_70+existingAnnot.getStart()+ConcordanceUIMessages.ConcordancesEditor_71+existingAnnot.getEnd()+ConcordanceUIMessages.ConcordancesEditor_72;
 						}
 					}
 				}
@@ -889,7 +887,7 @@
 				job.syncExec(new Runnable() {
 					@Override
 					public void run() {
-						MessageDialog.openInformation(editor.getSite().getShell(), Messages.ConcordancesEditor_73, final_message);
+						MessageDialog.openInformation(editor.getSite().getShell(), ConcordanceUIMessages.ConcordancesEditor_73, final_message);
 					}
 				});
 			}
@@ -899,7 +897,7 @@
 			if (Log.getLevel().intValue() < Level.WARNING.intValue() && annotManager != null) annotManager.checkData();
 			concordance.reloadLines(editor.getTopLine(), editor.getBottomLine()+1);
 		} catch (Exception e1) {
-			System.out.println(Messages.ConcordancesEditor_74+e1);
+			System.out.println(ConcordanceUIMessages.ConcordancesEditor_74+e1);
 			Log.printStackTrace(e1);
 			return;
 		}
Index: tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/commands/ExportStandoff.java
===================================================================
--- tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/commands/ExportStandoff.java	(revision 685)
+++ tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/commands/ExportStandoff.java	(revision 686)
@@ -45,8 +45,8 @@
 import org.txm.annotation.core.AnnotationManager;
 import org.txm.annotation.core.KRAnnotationEngine;
 import org.txm.core.preferences.TBXPreferences;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.dialog.LastOpened;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
@@ -86,7 +86,7 @@
 		dialog.setFileName(corpus.getName()+"_annotations.zip");
 		dialog.setFilterExtensions(new String[]{"*.zip"});
 		if (dialog.open() != null) {
-			StatusLine.setMessage(RCPMessages.ExportAnnotation_0);
+			StatusLine.setMessage(TXMUIMessages.ExportAnnotation_0);
 			String filepath = dialog.getFilterPath();
 			String filename = dialog.getFileName();
 
Index: tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/commands/SaveAnnotations.java
===================================================================
--- tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/commands/SaveAnnotations.java	(revision 685)
+++ tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/commands/SaveAnnotations.java	(revision 686)
@@ -14,9 +14,9 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.annotation.core.AnnotationManager;
 import org.txm.annotation.core.KRAnnotationEngine;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.commands.CloseEditorsUsing;
 import org.txm.rcp.commands.workspace.UpdateCorpus;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
Index: tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/preferences/AnnotationPreferencePage.java
===================================================================
--- tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/preferences/AnnotationPreferencePage.java	(revision 685)
+++ tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/preferences/AnnotationPreferencePage.java	(revision 686)
@@ -30,10 +30,9 @@
 import org.eclipse.jface.preference.RadioGroupFieldEditor;
 import org.eclipse.ui.IWorkbench;
 import org.txm.annotation.core.preferences.AnnotationPreferences;
+import org.txm.annotation.rcp.messages.AnnotationUIMessages;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.rcp.IImageKeys;
-import org.txm.rcp.RCPMessages;
-import org.txm.rcp.preferences.RCPPreferences;
-import org.txm.rcp.preferences.RCPPreferencesPage;
 import org.txm.rcp.preferences.TXMPreferencePage;
 import org.txm.rcp.preferences.TXMPreferenceStore;
 /**
@@ -71,11 +70,9 @@
 				Messages.AnnotationPreferences_0, getFieldEditorParent());	
 		addField(mode_expert);*/
 		
-		String[][] labelAndValues = {
-				{RCPMessages.AnnotationPreferences_1, "simple"},
-				{RCPMessages.AnnotationPreferences_2, "advanced"}}; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+		String[][] labelAndValues = {{AnnotationUIMessages.AnnotationPreferences_1, "simple"}, {AnnotationUIMessages.AnnotationPreferences_2, "advanced"}}; //$NON-NLS-1$ //$NON-NLS-2$
 		
-		mode_annotation = new RadioGroupFieldEditor(AnnotationPreferences.ANNOTATION_MODE, RCPMessages.AnnotationPreferences_0, 2, labelAndValues, getFieldEditorParent());
+		mode_annotation = new RadioGroupFieldEditor(AnnotationPreferences.ANNOTATION_MODE, TXMCoreMessages.common_mode, 2, labelAndValues, getFieldEditorParent());
 		addField(mode_annotation);
 		//mode_annotation.setPreferenceStore(store);
 	}
Index: tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/messages/AnnotationUIMessages.java
===================================================================
--- tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/messages/AnnotationUIMessages.java	(revision 0)
+++ tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/messages/AnnotationUIMessages.java	(revision 686)
@@ -0,0 +1,30 @@
+package org.txm.annotation.rcp.messages;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
+
+
+/**
+ * Annotation UI messages.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
+public class AnnotationUIMessages extends NLS {
+
+	private static final String BUNDLE_NAME = "org.txm.annotation.rcp.messages.messages"; //$NON-NLS-1$
+
+	public static String AnnotationPreferences_1;
+	public static String AnnotationPreferences_2;
+
+	
+
+	static {
+		// initialize resource bundle
+		Utf8NLS.initializeMessages(BUNDLE_NAME, AnnotationUIMessages.class);
+	}
+
+	private AnnotationUIMessages() {
+	}
+}

Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java	(revision 685)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java	(revision 686)
@@ -70,11 +70,11 @@
 import org.txm.index.core.preferences.IndexPreferences;
 import org.txm.index.rcp.messages.IndexUIMessages;
 import org.txm.rcp.JobsTimer;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.editors.TXMResultEditorInput;
 import org.txm.rcp.editors.TableKeyListener;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.preferences.RCPPreferences;
 import org.txm.rcp.swt.widget.AssistedQueryWidget;
 import org.txm.rcp.swt.widget.NavigationWidget;
@@ -340,7 +340,7 @@
 
 		//propsArea
 		go = new Button(queryArea, SWT.BOLD);
-		go.setText(RCPMessages.SEARCH);
+		go.setText(TXMUIMessages.SEARCH);
 
 		Font f = go.getFont();
 		FontData defaultFont = f.getFontData()[0];
@@ -584,13 +584,13 @@
 		nColumn.pack();
 
 		unitColumn = new TableColumn(viewer.getTable(), SWT.LEFT);
-		unitColumn.setText(RCPMessages.ReferencerEditor_9);
-		unitColumn.setToolTipText(RCPMessages.ReferencerEditor_9);
+		unitColumn.setText(TXMCoreMessages.common_units);
+		unitColumn.setToolTipText(TXMCoreMessages.common_units);
 		unitColumn.setWidth(200);
 		unitColumn.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				StatusLine.setMessage(RCPMessages.SORT_COLUMN);
+				StatusLine.setMessage(TXMUIMessages.SORT_COLUMN);
 				if (viewer.getTable().getSortColumn() != unitColumn) {
 					viewer.getTable().setSortColumn(unitColumn);
 					viewer.getTable().setSortDirection(SWT.UP);
@@ -605,7 +605,7 @@
 					}
 				}
 
-				StatusLine.setMessage(RCPMessages.SORT_DONE);
+				StatusLine.setMessage(TXMUIMessages.SORT_DONE);
 				fillDisplayArea();
 			}
 
@@ -617,14 +617,14 @@
 		freqColumn = new TableColumn(viewer.getTable(), SWT.RIGHT);
 		try {
 			if (index.getPartition() != null)
-				freqColumn.setText(RCPMessages.FrequencyListEditorInput_4+" T="+index.getPartition().getTotalSize()); //$NON-NLS-1$
+				freqColumn.setText(TXMUIMessages.FrequencyListEditorInput_4+" T="+index.getPartition().getTotalSize()); //$NON-NLS-1$
 			else
-				freqColumn.setText(RCPMessages.FrequencyListEditorInput_4);
+				freqColumn.setText(TXMUIMessages.FrequencyListEditorInput_4);
 		} catch (CqiClientException e2) {
 			// TODO Auto-generated catch block
 			org.txm.rcp.utils.Logger.printStackTrace(e2);
 		}
-		freqColumn.setToolTipText(RCPMessages.FrequencyListEditorInput_4);
+		freqColumn.setToolTipText(TXMUIMessages.FrequencyListEditorInput_4);
 		freqColumn.setWidth(100);
 		freqColumn.addSelectionListener(new SelectionListener() {
 			@Override
@@ -642,7 +642,7 @@
 						index.sortLines(SortMode.FREQUNIT, false);
 					}
 				}
-				StatusLine.setMessage(RCPMessages.SORT_DONE);
+				StatusLine.setMessage(TXMUIMessages.SORT_DONE);
 				fillDisplayArea();
 			}
 
